Skip to main content
GET
What each asset's manufacturer was last asked about its warranty and what it answered, beside the warranty date the…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
asset_id
string
vendor
string
serial_number
string
product_number
string
status
string
attempts
string
checked_at
string
next_check_at
string
error
string
product_description
string
shipped_on
string
ends_on
string
filled_warranty_expires_on
string
warranty_expires_on
string
requested_by_user_id
string
requested_by
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

attempts
integer<integer>
checked_at
string<timestamp with time zone>
ends_on
string<date>
error
string<text>
filled_warranty_expires_on
string<date>
id
string<uuid>

Note: This is a Primary Key.

next_check_at
string<timestamp with time zone>
product_description
string<character varying>
Maximum string length: 250
product_number
string<character varying>
Maximum string length: 60
requested_by
string<character varying>
Maximum string length: 200
requested_by_user_id
string<uuid>

Note: This is a Foreign Key to capex_invite_candidates.id.

serial_number
string<character varying>
Maximum string length: 120
shipped_on
string<date>
status
string<character varying>
Maximum string length: 10
vendor
string<character varying>
Maximum string length: 10
warranty_expires_on
string<date>